Name:           python-configspace
Version:        1.2.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Creation and manipulation of parameter configuration spaces for automated algorithm configuration and hyperparameter tuning.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/automl/ConfigSpace
Source:         %{pypi_source configspace}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-flit-core
BuildRequires:  python-pip-wheel
BuildRequires:  python3-packaging
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'configspace' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-configspace
Summary:        %{summary}

%description -n python3-configspace %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-configspace dev,docs,test,tooling


%prep
%autosetup -p1 -n configspace-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dev,docs,test,tooling


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-configspace -f %{pyproject_files}


%changelog
%autochangelog
